Update Group Roles On Organization

Update Group Roles On Organization
Update Group Roles On Organization

Use this API instead:

  • /cloudapi/1.0.0/groups/{{groupUrn}}

Update roles of a group within organization.
Note: Email notification for updating group roles of group is disabled by the Identity Service.

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client)
Request
URI
PATCH
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/groups/{groupId}/roles
COPY
Path Parameters
string
orgId
Required

Unique identifier (GUID) of the organization.

string
groupId
Required

Unique identifier of the group.


Request Body
UpdateGroupRolesRequest of type(s) application/json
Required
{
    "organizationRoles": {
        "roleNamesToAdd": [
            "string"
        ],
        "roleNamesToRemove": [
            "string"
        ],
        "rolesToAdd": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "rolesToRemove": [
            {
                "id": "string",
                "name": "string"
            }
        ]
    },
    "serviceRoles": [
        {
            "roleNamesToAdd": [
                "string"
            ],
            "roleNamesToRemove": [
                "string"
            ],
            "rolesToAdd": [
                {
                    "id": "string",
                    "name": "string"
                }
            ],
            "rolesToRemove": [
                {
                    "id": "string",
                    "name": "string"
                }
            ],
            "serviceDefinitionId": "string"
        }
    ],
    "notifyUsersInGroups": false
}
object
organizationRoles
Optional

Organization roles to be updated.

array of object
serviceRoles
Optional

Service roles to be updated.

boolean
notifyUsersInGroups
Optional

Publish email notification to group members. Ignored by the Identity Service

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Operation doesn't return any data structure

400

Invalid request body.

Operation doesn't return any data structure

401

The user is not authorized to use the API.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'